Name:           ocaml-expect
Version:        0.0.5
Release:        %mkrel 1
Summary:        Expect-like framework
License:        LGPL-2.1 with OCaml linking exception
Group:          Development/OCaml
URL:            http://forge.ocamlcore.org/projects/ocaml-expect/
Source0:        http://download.ocamlcore.org/ocaml-expect/ocaml-expect/%{version}/ocaml-expect-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-extlib
BuildRequires:  ocaml-pcre
BuildRequires:  ocaml-ounit
BuildRequires:	ocaml-batteries

%description
This is a simple implementation of `expect` to help building unitary
testing of interactive program.

You can match the question using a regular expression or a timeout.

See the Expect manual for more information: http://expect.nist.gov/

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --destdir %{buildroot}

make
make doc
mv api-expect.docdir api-html

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/expect
make install

%files
%doc README.txt COPYING.txt AUTHORS.txt CHANGES.txt INSTALL.txt
%dir %{_libdir}/ocaml/expect
%{_libdir}/ocaml/expect/META
%{_libdir}/ocaml/expect/*.cma
%{_libdir}/ocaml/expect/*.cmi
%{_libdir}/ocaml/expect/*.cmxs

%files devel
%doc api-html/
%exclude /usr/share/doc/ocaml-expect/expect/
%{_libdir}/ocaml/expect/*.a
%{_libdir}/ocaml/expect/*.cmxa
%{_libdir}/ocaml/expect/*.cmx
%{_libdir}/ocaml/expect/*.mli


%changelog
* Thu Feb 04 2016 pterjan <pterjan> 0.0.5-1.mga6
+ Revision: 934522
- Add missing BuildRequires
- Update to 0.05

* Wed Oct 21 2015 tv <tv> 0.0.3-7.mga6
+ Revision: 893361
- fix build: exclude some doc

* Wed Oct 15 2014 umeabot <umeabot> 0.0.3-7.mga5
+ Revision: 745730
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.3-6.mga5
+ Revision: 683026
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.3-5.mga4
+ Revision: 508454
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.0.3-4.mga3
+ Revision: 361300
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.0.3-3.mga3
+ Revision: 301658
- new rpm group for ocaml
- better download link (without an unpredictable id in the middle)
- new rpm group for ocaml

* Mon Jul 16 2012 blue_prawn <blue_prawn> 0.0.3-1.mga3
+ Revision: 271211
- imported package ocaml-expect

